Skip to main content
GET
/
cdn
/
statistics
/
shield_usage
/
aggregated
Aggregated origin shielding usage statistics
curl --request GET \
  --url https://api.gcore.com/cdn/statistics/shield_usage/aggregated \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.gcore.com/cdn/statistics/shield_usage/aggregated"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.gcore.com/cdn/statistics/shield_usage/aggregated', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "resource": {
    "1": {
      "metrics": {
        "shield_usage": 1
      }
    }
  }
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Query Parameters

from
string
required

Beginning of the requested time period (ISO 8601/RFC 3339 format, UTC.)

Example:

  • &from=2018-12-01T00:00:00.000
to
string
required

End of the requested time period (ISO 8601/RFC 3339 format, UTC.)

Example:

  • &to=2018-12-01T01:00:00.000
group_by
string

Output data grouping.

Possible values:

  • client - Data is grouped by clients.
  • resource - Data is grouped by CDN resources.

To request multiple values, use:

  • &group_by=client&group_by=resource
resource
integer

CDN resources IDs.

To request multiple values, use:

  • &resource=1&resource=2
client
integer

Client accounts IDs.

To request multiple values, use:

  • &client=1&client=2
flat
boolean

The way the parameters are arranged in the response.

Possible values:

  • true – Flat structure is used.
  • false – Embedded structure is used (default.)

Response

Successful.

resource
object

Statistics information grouped by CDN resources.

metrics
object

Statistics parameters.

shield_usage
string

Number of CDN resources that used origin shielding.